This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 181440 - /etc/init.d/dovecot start reports OK when dovecot fails to start
/etc/init.d/dovecot start reports OK when dovecot fails to start
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: dovecot (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Horák
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-14 00:09 EST by Matthew Sage
Modified: 2008-06-24 08:03 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-24 08:03:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Matthew Sage 2006-02-14 00:09:48 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc3 Firefox/1.0.7

Description of problem:
The /etc/init.d/dovecot script reports that the daemon started correctly even though it has died...

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create a dovecot configuration file with an error in it.
2. Start dovecot - service dovecot start

  

Actual Results:  The /etc/init.d/dovecot script reports the service started OK but if you immediatly ask for a status, it reports dovecot is dead.

# service dovecot start
Starting Dovecot Imap:                                     [  OK  ]
# service dovcot status
dovecot dead but subsys locked


Expected Results:  The startup script should report that the daemon FAILED

# service dovecot start
Starting Dovecot Imap:                                     [FAILED]


Additional info:
Comment 2 RHEL Product and Program Management 2006-08-18 12:40:33 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 Petr Rockai 2006-08-25 04:38:52 EDT
Could you please provide a configuration file that triggers this 
behaviour? I have tried to reproduce without much success here (the 
initscript correctly dies with

Starting Dovecot Imap: Fatal: Error in configuration 
file /etc/dovecot.conf line 2: Expecting '='

Thanks.
Comment 5 Matthew Sage 2006-09-05 21:12:00 EDT
OK - it seems as if my original description was not accurate.  This error occurs
if there is a syntax error in the ldap configuration file.  So,

in /etc/dovecot.conf:

auth_userdb = ldap /etc/dovecot/dovecot-ldap.conf
auth_passdb = ldap /etc/dovecot/dovecot-ldap.conf

and /etc/dovecot/dovecot-ldap.conf has an error, e.g.

hosts = ldap.host
dn = <dn>
dnpass = <top_secret_passwd>
dap_version = 3
.
.
etc.
Comment 6 RHEL Product and Program Management 2006-09-05 21:15:08 EDT
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request. 
Comment 9 RHEL Product and Program Management 2008-01-07 06:45:34 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 12 Dan Horák 2008-06-24 08:03:54 EDT
Due the multi-process architecture of dovecot it is not possible to catch such
'subprocess' misconfiguration errors.

Note You need to log in before you can comment on or make changes to this bug.